Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class RPCElementHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.message.SOAPHandler
              org.apache.axis.message.RPCElementHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

public class RPCElementHandler
extends SOAPHandler

A SOAPHandler that creates RPCParamElement objects

Author:
  Thomas Diesler (thomas.diesler@jboss.org)

Field Summary

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`RPCElementHandler()`

Method Summary
`SOAPElementAxisImpl` | `makeNewElement(String namespace, String localName, String prefix, Attributes attributes, DeserializationContext context)`
`SOAPHandler` | `onStartChild(String namespace, String localName, String prefix, Attributes attributes, DeserializationContext context)`

Methods inherited from class org.apache.axis.message.SOAPHandler
`endElement, onEndChild, startElement`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPCElementHandler

    public RPCElementHandler()

Method Detail

### onStartChild

    public SOAPHandler onStartChild(String namespace,
                                    String localName,
                                    String prefix,
                                    Attributes attributes,
                                    DeserializationContext context)
                             throws SAXException

  Overrides:
    `onStartChild` in class `SOAPHandler`
  Throws:
    `SAXException`

### makeNewElement

    public SOAPElementAxisImpl makeNewElement(String namespace,
                                              String localName,
                                              String prefix,
                                              Attributes attributes,
                                              DeserializationContext context)
                                       throws AxisFault

  Overrides:
    `makeNewElement` in class `SOAPHandler`
  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.